<?php
/*
Plugin Name: WP Geo Mashup Map
Plugin URI: http://4visions.nl/en/wordpress-plugins/wp-geo-mashup-map/
Description: Extends WP Geo plugin with the possibility to place a mashup map displaying all your blogs markers on one post or page. Simply put the shortcode [wp_geo_mashup] where you want it to appear.
Version: 0.2
Author: RavanH
Author URI: http://4visions.nl/
*/

if( !function_exists('wp_geo_mashup_map_init') ) {
 function wp_geo_mashup_map_init() {
	add_shortcode( 'wp_geo_mashup', 'shortcode_wpgeo_mashup' );
 }
}

if( !function_exists('shortcode_wpgeo_mashup') ) {
 function shortcode_wpgeo_mashup( $atts, $content = null ) {
	global $wpgeo;

	if ( !is_feed() && isset($wpgeo) && $wpgeo->show_maps() && $wpgeo->checkGoogleAPIKey() )	
		return get_wpgeo_map('numberposts=-1');
	else
		return '';	
 }
}

add_action('init', 'wp_geo_mashup_map_init' );
?>
